Public Class Splashscreen
    Dim X As String
    Dim Y As String
    Dim P As New System.Drawing.Point

    Private Sub MSG1_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Me.MouseDown
        X = MousePosition.X - Me.Location.X
        Y = MousePosition.Y - Me.Location.Y
    End Sub

    Private Sub Panel1_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs)
        X = MousePosition.X - Me.Location.X
        Y = MousePosition.Y - Me.Location.Y
    End Sub

    Private Sub Panel1_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs)
        If e.Button = MouseButtons.Left Then
            P = MousePosition
            P.X = P.X - X
            P.Y = P.Y - Y
            Me.Location = P
        End If
    End Sub

    Private Sub MSG1_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Me.MouseMove
        If e.Button = MouseButtons.Left Then
            P = MousePosition
            P.X = P.X - X
            P.Y = P.Y - Y
            Me.Location = P
        End If
    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        ProgressBar1.Increment(1)
        If ProgressBar1.Value = 100 Then
            Form1.Show()
            Me.Close()
        End If
    End Sub

    Private Sub Timer2_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer2.Tick
        Label1.Text = ProgressBar1.Value
    End Sub

    Private Sub Splashscreen_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

    End Sub
End Class